summaryrefslogtreecommitdiff
path: root/dev-python/ttystatus/ttystatus-0.36.ebuild
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/ttystatus/ttystatus-0.36.ebuild
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/ttystatus/ttystatus-0.36.ebuild')
-rw-r--r--dev-python/ttystatus/ttystatus-0.36.ebuild22
1 files changed, 22 insertions, 0 deletions
diff --git a/dev-python/ttystatus/ttystatus-0.36.ebuild b/dev-python/ttystatus/ttystatus-0.36.ebuild
new file mode 100644
index 000000000000..fc0f3713dbff
--- /dev/null
+++ b/dev-python/ttystatus/ttystatus-0.36.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{6,7} )
+PYTHON_REQ_USE="ncurses"
+
+inherit distutils-r1
+
+DESCRIPTION="Terminal progress bar and status output for command line"
+HOMEPAGE="https://liw.fi/ttystatus/"
+SRC_URI="http://git.liw.fi/${PN}/snapshot/${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 sparc x86"
+IUSE=""
+
+python_test() {
+ "${EPYTHON}" -m unittest discover -v -p '*_tests.py' || die
+}